
<?php



use App\Libraries\ejLib;
$var = ejLib::getInstance();
$soapclient = $var->getWs();
$wsClave = $var->get_wsClave();

$id_tiponota = $_POST['TipoNota'];
$id_tipoconsulta = $_POST['TipoConsulta'];


$vCat_TipoConsulta = $var->getView('Catalogos\VistasController@vCat_TipoConsulta',"tipoconsulta=$id_tipoconsulta");
$vCat_TiposNotas = $var->getView('Catalogos\VistasController@vCat_TiposNotas',"tiponota=$id_tiponota");
$descripcionTipoNota =  $soapclient->AdministrarCatalogos_get_TipoNota($id_tiponota,$wsClave);
$tituloNota =   new SimpleXMLElement(utf8_encode($descripcionTipoNota));


$catApartados = $soapclient->vCat_Apartados($wsClave);
$Cat  = new SimpleXMLElement(utf8_encode($catApartados));


$apartadosAsignados= $soapclient->AdministrarCatalogos_getLstApartadosTipoNota($id_tiponota,$wsClave);
$obj = new SimpleXMLElement(utf8_encode($apartadosAsignados));

// == '1'

?>

<style media="screen">
  .contenedor_tabla{
  	min-height: 320px;
    width: 990px;
    margin: auto;
	  margin-top: 5px;
  }
  .tabla_agregar,  .tabla_remover{
    height: 320px;
    width: 435px;
    float: left;
    margin: 0px 8px 0px 5px;
    overflow-x: hidden;
    overflow-y: scroll;
  }
  .botones{
    height: 230px;
    width: 70px;
    float: left;
    margin: 0px 8px 0px 5px;
    display: inline-block;
    padding-top: 100px;
  }
  .boton{margin: 7.5px;text-align: center; opacity: 0.75}
  .agregar_todos,.eliminar_todos{
    border-top: 0;
    border-bottom: 0;
    border-left:  1px solid rgba(85, 85, 85, 0.75);
    border-right:   1px solid rgba(85, 85, 85, 0.75);

  }
  table{ width: 100%;}
  td{border: 0.5px solid #ccc; }
  .agregar_modulo, .remover_modulo, .agregar_modulo:active, .remover_modulo:active{border: 0; outline: 0;}
  .guardar{ float: right;margin-top: 20px;	}
  .id_apartado {
        display:none;
}
</style>

<script>

</script>
<div class = "editar_nota">
	<div class="row">
		<div class="titulo_fondo">
			<div class="titulo_pagina2">EDITAR TIPO DE NOTA</div>
			<a href="#"><img src="Img/close.png" height="20"  class="cerrar_form"/></a>
		</div>
	</div>
	<br>

	<div class="row">
		
		<div class="col-md-4  col-md-offset-0">
		    <div class="input-group input-group-sm">
				<span class="input-group-addon" id="sizing-addon3">Tipo de Nota</span>
			    <input type="text" class="form-control" name="desc_tipoNota" id="desc_tipoNota"  placeholder="Máximo 100 caracteres" onkeypress="" value="{!! utf8_decode($tituloNota->respuesta->titulonota); !!}"/>  

		    </div>
		</div>

		<div class="col-md-3  col-md-offset-0">
		    <div class="input-group input-group-sm">
			     <span class="input-group-addon">Tipo de Consulta</span>
			      {!! $vCat_TipoConsulta; !!}
		    </div>
	  	</div>

	</div>

	<div class="contenedor_tabla">
	  <div class="row">

	<div class="tabla_agregar ">
      <table class="tabla_agre">
        <tr><th colspan="3" style="text-align:center">Apartados por Asignar</th></tr>
        <tr class="titulo_tabla"><th style="display: none;">id</th><th >Apartado</th><th width="30px">Opciones</th></tr>
          @foreach($Cat->respuesta as $rcat)
            <tr class="con"><td class="id_apartado">{!! $rcat->id_apartado !!}</td><td class="descripcion">{!! trim(utf8_decode($rcat->descripcion_apartado)) !!}</td><td class="validar"> <input type="image" style="margin-left:15px;" src="Img/Baja.png" width="20px" class="agregar_modulo" title="Asignar Apartado"></td></tr>
          @endforeach
      </table>
    </div>

	    <div class="botones">
	      <div class="boton"><input type="image" class="agregar_todos" src="Img/arrow_add.png" height="40px" width="40px" title="Agregar todos"/></div>
	      <div class="boton"><input type="image" class="eliminar_todos" src="Img/arrow_remove.png" height="40px" width="40px" title="Eliminar todos"/></div>
	    </div>

	    <div class="tabla_remover">
    		<table class="tabla_remo" id="tabla_remover">
        		<tr><th colspan="4" style="text-align:center">Apartados Asignados</th></tr>
        		<tr class="titulo_tabla"><th style="display: none;">Id</th><th >Orden</th><th >Apartado</th><th width="30px">Opciones</th></tr>
        
        		@if(!isset($obj->respuesta->error))
        		
	      			@foreach($obj->respuesta as $Asignados)
	      	        	<tr class="borrar"><td class="id_apartado">{!! trim($Asignados->id_apartado) !!}</td><td class="cons">{!! utf8_decode(trim($Asignados->posicion)) !!}</td><td class="descripcion">{!! utf8_decode(trim($Asignados->descripcion_apartado)) !!}</td><td><input type="image" style="margin-left:15px;" src="Img/Activar.png" class="remover_modulo" width="20px" height="20px" title="Remover este apartado"></td></tr>
	          		@endforeach
	          	@endif	
      		</table>
    	</div>



	  </div>

	  <div class="row" style="text-align:right;" id="upTipoNota_" name="upTipoNota_"></div>
		<div class="row" style="text-align:right;" id="upTipoNota" name="upTipoNota">
			<button type="button" id="btn_updTipoNota" onclick=" jqSetMensaje('upTipoNota_', '', null);
	var resultado = '';  var descTipoNota = ''; var idTipoCons='';  var idTipoNota= ''; idTipoNota = {!! $tituloNota->respuesta->id_tiponota; !!};   
    descTipoNota= $('#desc_tipoNota').val();
    idTipoCons= $('#vCat_TipoConsulta').val();
    $('.tabla_remo .borrar').each(function (index) {
          var id_apartado, posicion;
          $(this).children('td').each(function (index2) {
              switch (index2) {
                  case 0: id_apartado = $(this).text();break;
                  case 1: posicion = $(this).text(); break;
                  }
              })

          resultado+=id_apartado +':' + posicion+',';

          
     })
    if(resultado.length>1){
      var parametros = '';
      if(descTipoNota ==''){
        $.notify('-Favor de capturar la descripción de la Nota Médica que desea agregar-');
        $('#desc_tipoNota').focus();
        return;
      }
      if(idTipoCons ==''){
        $.notify('-Favor de espcificar el Tipo Consulta de la Nota Médica que desea agregar-');
        $('#vCat_TipoConsulta').focus();
        return;
      }
      parametros = {'id_tipo_nota': idTipoNota, 'titulo_nota' : descTipoNota, 'tipo_consulta': idTipoCons, 'apartados': resultado };
      
    jqGetAjax('editTipoNotaMedica','upTipoNota_', parametros);
	}
      ">Actualizar</button>
		</div>

	</div>
</div>
	
<script>
	$( ".editar_nota .cerrar_form" ).click(function() {
 		jqGetAjax("cerrar","tblMovimientos", { clvRama: '', titleRama: '' });
 	});
	
	$(document).ready(function(){
    		var con=0;
    		$(".tabla_remo .id_apartado").each(function(){
     		 var idApartado=$(this).html();
     		 con=con+1;
      		$('#equiposAsignados').html(con);
     		$(".tabla_agre .id_apartado").each(function(){
        		var idApartado2=$(this).html();
          		if (idApartado==idApartado2) {$(this).closest("tr").remove();}
          	});
      		});
  	 });

	  //-----------------------Agregar Apartado---------------------------------------
   $(document).on("click", ".agregar_modulo", function(event) {
      event.stopImmediatePropagation();
      var tr = '';
   	  var filaActual = $(this).closest('tr');
   	  var descripcionActual = filaActual.find('.descripcion').html();
	 
   	  var id = filaActual.find('.id_apartado').html();
  
      var i = 1;
      const tblAsignados = document.getElementById('tabla_remover');
      const numRow = tblAsignados.rows.length-1;
    
 	  var imagen_remover = '<input type="image" style="margin-left:15px;" src="Img/Activar.png" class="remover_modulo" width="20px" height="20px" title="Remover este equipo">';
 		tr = '<tr class="borrar"><td class="id_apartado">'+id+'</td><td class="cons">'+numRow+'</td><td class="descripcion">'+descripcionActual+'</td><td>'+imagen_remover+'</td></tr>';
 		var agregar = $('.tabla_remo').append(tr);
   //  i++;
   
 		$(this).closest("tr").remove(); 


 	});

 //----------------------REMOVER APARTADO ---------------------------------------------------
 	$(document).on("click", ".remover_modulo", function(event) {
    event.stopImmediatePropagation();
 		var tr = '';
 	  var filaActual = $(this).closest('tr');
 	  var descripcionActual = filaActual.find('.descripcion').html();
    var id = filaActual.find('.id_apartado').html();
 	

 	  var imagen_remover = '<input type="image" style="margin-left:15px;" src="Img/Baja.png" class="agregar_modulo" width="20px" height="20px" title="Asignar este apartado">';
 		//tr = '<tr class="con"><td class="descripcion">'+descripcionActual+'</td><td>'+imagen_remover+'</td></tr>';
    tr = '<tr class="con"><td class="id_apartado">'+id+'</td><td class="descripcion">'+descripcionActual+'</td><td class="validar">'+imagen_remover+'</td></tr>';
 		var agregar = $('.tabla_agre').append(tr);

 		$(this).closest("tr").remove();
      $('td.cons').text(function (i) {
          return i + 1;
        });


 	});

   //---------------------------------ELIMINAR TODOS --------------------------------------
  $(document).on("click", ".eliminar_todos", function(event) {
    event.stopImmediatePropagation();
      var filaActual = $(this).closest('tr');
      var descripcionActual = filaActual.find('.descripcion').html();
      var imagen_remover = '<input type="image" style="margin-left:15px;" src="Img/Baja.png" class="agregar_modulo" width="20px" height="20px" title="Asignar este apartado">';

      $(".tabla_remo .borrar ").each(function (index) {
           var id, apartado;
          $(this).children("td").each(function (index2) {
              switch (index2) {
                  case 0: id = $(this).text();break;
                  case 2: apartado = $(this).text(); break;
                  }
              })

              var tr = '<tr class="con"><td class="id_apartado">'+id+'</td><td class="descripcion">'+apartado+'</td><td class="validar">'+imagen_remover+'</td></tr>';
              var agregar = $('.tabla_agre').append(tr);
      })

    $('.tabla_remo  .borrar').remove();

  });

  
  // ---------------------AGREGAR TODOS LOS APARTADOS ----------------------------------------------
  $(document).on("click", ".agregar_todos", function(event) {

      event.stopImmediatePropagation();

      var filaActual = $(this).closest('tr');
      var descripcionActual = filaActual.find('.descripcion').html();
      var id = filaActual.find('.id_apartado').html();
      var imagen_remover = '<input type="image" style="margin-left:15px;" src="Img/Activar.png" class="remover_modulo" width="20px" height="20px" title="Remover este apartado">';

     
    
      $(".tabla_agre .con ").each(function (index) {
          var id, apartado;
          const tblAsignados = document.getElementById('tabla_remover');
           const numRow = tblAsignados.rows.length-1;
          $(this).children("td").each(function (index2) {
              switch (index2) {

                  case 0: id = $(this).text();break;
                  case 1: apartado = $(this).text(); break;
                  }
                   
              })


        
   
    var agregar = $('.tabla_remo').append(tr);
            
              var tr = '<tr class="borrar"><td class="id_apartado">'+id+'</td><td class="cons">'+numRow+'</td><td class="descripcion">'+apartado+'</td><td>'+imagen_remover+'</td></tr>';
              var agregar = $('.tabla_remo').append(tr);
      })

     $('.tabla_agre  .con').remove();
     });



   

		

</script>
